| Elektra 0.11.0

kdbplugin.hpp File Reference

Helpers for creating plugins. More...

`#include <kdbplugin.h>`
`#include <key.hpp>`
`#include <keyset.hpp>`

## Detailed Description

Helpers for creating plugins.

Make sure to include kdberrors.h before including this file if you want warnings/errors to be added.

Proper usage:

using namespace ckdb;
#include <kdberrors.h>
#include <kdbplugin.hpp>
typedef Delegator<elektra::YourPluginClass> YPC;
// then e.g. YPC::open(handle, errorKey);
kdberrors.h
Provides all macros and definitions which are used for emitting error or warnings.
kdbplugin.hpp
Helpers for creating plugins.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)